summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-editors/emacs-xwidget/ChangeLog3
-rw-r--r--app-editors/emacs-xwidget/emacs-xwidget-24.3.9999.ebuild46
2 files changed, 24 insertions, 25 deletions
diff --git a/app-editors/emacs-xwidget/ChangeLog b/app-editors/emacs-xwidget/ChangeLog
index 5891a00..b58459b 100644
--- a/app-editors/emacs-xwidget/ChangeLog
+++ b/app-editors/emacs-xwidget/ChangeLog
@@ -3,6 +3,9 @@
# $Header: $
19 Jan 2014; Ulrich Müller <ulm@gentoo.org> emacs-xwidget-24.3.9999.ebuild:
+ Merge changes from emacs-vcs
+
+ 19 Jan 2014; Ulrich Müller <ulm@gentoo.org> emacs-xwidget-24.3.9999.ebuild:
Switch from package.mask to empty KEYWORDS.
16 Jul 2013; Ulrich Müller <ulm@gentoo.org> emacs-xwidget-24.3.9999.ebuild:
diff --git a/app-editors/emacs-xwidget/emacs-xwidget-24.3.9999.ebuild b/app-editors/emacs-xwidget/emacs-xwidget-24.3.9999.ebuild
index 37d4842..c15cdd8 100644
--- a/app-editors/emacs-xwidget/emacs-xwidget-24.3.9999.ebuild
+++ b/app-editors/emacs-xwidget/emacs-xwidget-24.3.9999.ebuild
@@ -17,7 +17,7 @@ if [[ ${PV##*.} = 9999 ]]; then
inherit bzr
S="${EBZR_UNPACK_DIR}"
else
- SRC_URI="mirror://gentoo/emacs-${PV}.tar.xz
+ SRC_URI="http://dev.gentoo.org/~ulm/distfiles/emacs-${PV}.tar.xz
mirror://gnu-alpha/emacs/pretest/emacs-${PV}.tar.xz"
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
@@ -32,7 +32,7 @@ HOMEPAGE="http://www.gnu.org/software/emacs/
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="24"
-IUSE="acl alsa aqua athena dbus games gconf gfile gif gnutls gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib motif pax_kernel png selinux sound source svg tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets"
+IUSE="acl alsa aqua athena dbus games gconf gfile gif gnutls gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib motif pax_kernel png selinux sound source svg tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses
@@ -49,6 +49,7 @@ RDEPEND="sys-libs/ncurses
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
selinux? ( sys-libs/libselinux )
+ zlib? ( sys-libs/zlib )
X? (
x11-libs/libXmu
x11-libs/libXt
@@ -56,7 +57,7 @@ RDEPEND="sys-libs/ncurses
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
gif? ( media-libs/giflib )
- jpeg? ( virtual/jpeg )
+ jpeg? ( virtual/jpeg:0= )
png? ( >=media-libs/libpng-1.4:0= )
svg? ( >=gnome-base/librsvg-2.0 )
tiff? ( media-libs/tiff )
@@ -124,21 +125,6 @@ src_prepare() {
fi
epatch_user
-
- if ! use alsa; then
- # ALSA is detected even if not requested by its USE flag.
- # Suppress it by supplying pkg-config with a wrong library name.
- sed -i -e "/ALSA_MODULES=/s/alsa/DiSaBlEaLsA/" configure.ac \
- || die "unable to sed configure.ac"
- fi
- if ! use gzip-el; then
- # Emacs' build system automatically detects the gzip binary and
- # compresses el files. We don't want that so confuse it with a
- # wrong binary name
- sed -i -e "/AC_PATH_PROG/s/gzip/PrEvEnTcOmPrEsSiOn/" configure.ac \
- || die "unable to sed configure.ac"
- fi
-
AT_M4DIR=m4 eautoreconf
}
@@ -155,12 +141,12 @@ src_configure() {
local myconf
- if use alsa && ! use sound; then
- einfo "Although sound USE flag is disabled you chose to have alsa,"
- einfo "so sound is switched on anyway."
- myconf+=" --with-sound"
+ if use alsa; then
+ use sound || ewarn \
+ "USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
+ myconf+=" --with-sound=alsa"
else
- myconf+=" $(use_with sound)"
+ myconf+=" --with-sound=$(usex sound oss)"
fi
if use X; then
@@ -233,11 +219,10 @@ src_configure() {
econf \
--program-suffix="-${EMACS_SUFFIX}" \
- --program-transform-name="s/^\(emacs\)-[0-9].*-\1/\1/" \
--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--with-gameuser="${GAMES_USER_DED:-games}" \
- --without-compress-info \
+ --without-compress-install \
--with-file-notification=$(usev gfile || usev inotify || echo no) \
$(use_enable acl) \
$(use_with dbus) \
@@ -248,6 +233,7 @@ src_configure() {
$(use_with libxml2 xml2) \
$(use_with selinux) \
$(use_with wide-int) \
+ $(use_with zlib) \
${myconf}
}
@@ -259,6 +245,9 @@ src_compile() {
src_install () {
emake DESTDIR="${D}" NO_BIN_LINK=t install
+ mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
+ || die "moving emacs executable failed"
+
# move info dir to avoid collisions with the dir file generated by portage
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
|| die "moving info dir failed"
@@ -273,6 +262,13 @@ src_install () {
# remove unused <version>/site-lisp dir
rm -rf "${ED}"/usr/share/emacs/${FULL_VERSION}/site-lisp
+ if use gzip-el; then
+ # compress .el files when a corresponding .elc exists
+ find "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp -type f \
+ -name "*.elc" -print | sed 's/\.elc$/.el/' | xargs gzip -9n
+ assert "gzip .el failed"
+ fi
+
local cdir
if use source; then
cdir="/usr/share/emacs/${FULL_VERSION}/src"